parameters:
    locale_fallback: en

    # Identifier used to generate the CSRF token. Commenting this line will result in authentication
    # issues both in AdminUI and REST calls
    ezpublish_rest.csrf_token_intention: authenticate

    # You can uncomment following parameters to override the setting.
    # Their values correspond to the defaults being used.

    # One of `legacy` (default) or `solr`
    #search_engine: '%env(SEARCH_ENGINE)%'

    # Session save path as used by symfony session handlers (eg. used for dsn with redis)
    #ezplatform.session.save_path: '%kernel.project_dir%/var/sessions/%kernel.environment%'

    # Predefined pools are located in config/packages/cache_pool/
    # You can add your own cache pool to the folder mentioned above.
    # In order to change the default cache_pool use environmental variable export.
    # The line below must not be altered as required cache service files are resolved based on environmental config.
    #cache_pool: '%env(CACHE_POOL)%'

    # By default cache ttl is set to 24h, when using Varnish you can set a much higher value. High values depends on
    # using EzSystemsPlatformHttpCacheBundle (default as of v1.12) which by design expires affected cache on changes
    #httpcache_default_ttl: '%env(HTTPCACHE_DEFAULT_TTL)%'

    # Settings for HttpCache
    #purge_server: '%env(HTTPCACHE_PURGE_SERVER)%'

    # Varnish invalidation/purge token (for use on platform.sh, eZ Platform Cloud and other places you can't use IP for ACL)
    #varnish_invalidate_token: '%env(resolve:default::HTTPCACHE_VARNISH_INVALIDATE_TOKEN)%'

    # Compile time handlers
    ## These are defined at compile time, and hence can't be set at runtime using env()
    ## config/env/generic.php takes care about letting you set them by env variables

    ## Session handler, by default set to file based (instead of ~) in order to be able to use %ezplatform.session.save_path%
    # env: SESSION_HANDLER_ID
    #ezplatform.session.handler_id: session.handler.native_file

    ## Purge type used by HttpCache system ("local", "varnish"/"http", and on ee also "fastly")
    #purge_type: '%env(HTTPCACHE_PURGE_TYPE)%'

    env(HTTPCACHE_PURGE_TYPE): local # default value to maintain BC

ezplatform:
    # HttpCache settings, By default 'local' (Symfony HttpCache Proxy), by setting it to 'varnish' you can point it to Varnish
    http_cache:
        purge_type: '%purge_type%'

    # Repositories configuration, setup default repository to support solr if enabled
    repositories:
        default:
            storage: ~
            search:
                engine: '%search_engine%'
                connection: default

    # Siteaccess configuration, with one siteaccess per default
    siteaccess:
        list: [commerz]
        groups:
            site_group: [commerz]
            site_factory_group_1: []
            site_factory_group_2: []
        default_siteaccess: commerz
        match:
            URIElement: 1
            # Uncomment if you've enabled SiteFactory
            # '@EzSystems\EzPlatformSiteFactory\SiteAccessMatcher': ~

    # System settings, read in following order: `default`, <siteaccess-group>, <siteacces>, and `global`
    # TIP: For multisite installations organize shared config into SiteAccess groups,
    #      on single-site you can place shared config under "default" for simplicity as shown below.
    system:
        default:
            # Cache pool service, needs to be different per repository (database) on multi repository install.
            cache_service_name: '%cache_pool%'
            # These reflect the current installers, complete installation before you change them. For changing var_dir
            # it is recommended to install clean, then change setting before you start adding binary content, otherwise you'll
            # need to manually modify your database data to reflect this to avoid exceptions.
            var_dir: var/site
            content:
                # As we by default enable EzSystemsPlatformHttpCacheBundle which is designed to expire all affected cache
                # on changes, and as error / redirects now have separate ttl, we easier allow ttl to be greatly increased
                default_ttl: '%httpcache_default_ttl%'
                dam: [ unsplash ]
            # HttpCache purge server(s) setting, eg Varnish, for when ezpublish.http_cache.purge_type is set to 'varnish'.
            http_cache:
                purge_servers: ['%purge_server%']
                varnish_invalidate_token: '%varnish_invalidate_token%'

            image_editor:
                action_groups:
                    default:
                        id: default
                        label: Default
                        actions:
                            crop:
                                id: crop
                                priority: 1
                                visible: true
                                buttons:
                                    1-1:
                                        label: 1:1
                                        ratio:
                                            x: 1
                                            y: 1
                                    3-4:
                                        label: 3:4
                                        ratio:
                                            x: 3
                                            y: 4
                                    4-3:
                                        label: 4:3
                                        ratio:
                                            x: 4
                                            y: 3
                                    16-9:
                                        label: 16:9
                                        ratio:
                                            x: 16
                                            y: 9
                                    custom:
                                        label: Custom

        commerz:
            design: commerz

        site_factory_group_1:
            languages: [ger-DE, eng-GB, fre-FR]
            design: hausinvest

        site_factory_group_2:
            languages: [ger-DE, eng-GB, fre-FR]
            design: klimavest

        site_group:
            design: base_design
            languages: [ger-DE, eng-GB, fre-FR]

        admin_group:
            # System languages. Note that by default, content, content types, and other data are in eng-GB locale,
            # so removing eng-GB from this list may lead to errors or content not being shown, unless you change
            # all eng-GB data to other locales first.
            # For admin this needs to contain all languages you want to translate content to on the given repository.
            languages: [ger-DE, eng-GB, fre-FR]
            page_builder:
                siteaccess_list: [commerz]
            content_tree_module:
                contextual_tree_root_location_ids:
                    - 2 # Home (Content structure)
                    - 5 # Users
                    - 43 # Media
                    - 48 # Setup
                    - 55 # Forms
                    - 56 # Site skeletons
                    - 60 # eCommerce / Components
    url_alias:
        slug_converter:
            transformation: 'urlalias_lowercase'

framework:
    translator: { fallback: '%locale_fallback%' }
    validation: { enable_annotations: true }
    default_locale: '%locale_fallback%'
    esi: true
    fragments: true
    session:
        # https://symfony.com/doc/current/reference/configuration/framework.html#handler-id
        # if handler_id set to null will use default session handler from php.ini
        handler_id: '%ezplatform.session.handler_id%'
        save_path: '%ezplatform.session.save_path%'
        # Note: eZ Platform also allows session name and session cookie configuration to be per SiteAccess, by
        #       default session name will be set to "eZSESSID{siteaccess_hash}" (unique session name per siteaccess)
        #       Further reading on sessions: http://doc.ezplatform.com/en/latest/guide/sessions/
    http_method_override: true

dam_unsplash:
    application_id: '%env(UNSPLASH_APPLICATION_ID)%'
    secret: '%env(UNSPLASH_SECRET)%'
    utm_source: 'urn:ietf:wg:oauth:2.0:oob'

ez_platform_automated_translation:
    system:
        default:
            configurations:
                google:
                    apiKey: '%env(GOOGLE_TRANSLATE_API_KEY)%'